Bug 41353 - [IVB GT2] glbenchmark 2.0 Egypt makes machine hang sometimes
[IVB GT2] glbenchmark 2.0 Egypt makes machine hang sometimes
Status: VERIFIED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
All Linux (All)
: high critical
Assigned To: Eugeni Dodonov
:
Depends on:
Blocks: 42991
  Show dependency treegraph
 
Reported: 2011-09-29 23:26 UTC by libo
Modified: 2012-04-05 06:52 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description libo 2011-09-29 23:26:29 UTC
System Environment:
--------------------------
Libdrm: (master)2.4.26-11-gc82ef03e4c92017bf5644f294ea04e30500f8d4c
Mesa:   (master)a3cd2c6c9b3724dbc3aa565dab98968c46bde963 
Xf86_video_intel:(master)2.16.0-95-gd8fe941bc245e24c83c417ccff5c57e83baac3f7
Cairo:                           (master)2994b0c634158f681d3ac2894270d609ed5af424
Libva:  (master)a10fda6e3dcddcebaa9b2f61f194211548f7f9b9
Kernel: (drm-intel-next) 64a742fac3a22f57303d8f1b7e347350a1c48254


Bug detailed description:
-------------------------
The machine will be hanged when running Egypt.
It exists only on IVB.


Reproduce steps:
-------------------------
1.xinit&
2.gnome-session
2.sh glbenchmark.sh
Comment 1 Kenneth Graunke 2011-09-29 23:45:59 UTC
Confirmed.  Thanks for the report.
Comment 2 Eugeni Dodonov 2011-10-04 15:06:57 UTC
Update - this does not seems to happen on desktop version of IVB (Maho Bay).
Comment 3 Gordon Jin 2011-10-07 17:47:30 UTC
I think Li Bo is using desktop IVB.

Li Bo, does it hang on our both desktop IVB machines (ivb3 and ivb4)?
Comment 4 libo 2011-10-09 19:17:23 UTC
I just used desktop version of IVB and I used Fedora 15.
But it didn't happened in ivb3.  
(In reply to comment #3)
> I think Li Bo is using desktop IVB.
> 
> Li Bo, does it hang on our both desktop IVB machines (ivb3 and ivb4)?
Comment 5 Gordon Jin 2011-10-09 19:46:54 UTC
(In reply to comment #4)
> But it didn't happened in ivb3.  

to clarify: ivb3 is GT1 (2+1) and ivb4 is GT2 (4+2), both rev 04.

Eugeni, how about your machine?
Comment 6 Eugeni Dodonov 2011-10-10 07:12:23 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > But it didn't happened in ivb3.  
> 
> to clarify: ivb3 is GT1 (2+1) and ivb4 is GT2 (4+2), both rev 04.
> 
> Eugeni, how about your machine?

Mine is IVB B0:
00:02.0 VGA compatible controller: Intel Corporation Device 0162 (rev 02)

I think Ken confirmed it on his desktop IVB as well.
Comment 7 libo 2011-10-13 01:51:30 UTC
I find this error also happened on another performance case "urbanterror",which makes machine hang.
Comment 8 Eugeni Dodonov 2011-11-03 14:32:39 UTC
Could you check if it still happens with latest mesa master or 7.11 branch, after latest patches from Ken there?
Comment 9 Kenneth Graunke 2011-11-03 17:43:02 UTC
I'm still seeing Egypt hangs...and I don't have any idea why.
Comment 10 bo.b.wang 2011-11-10 23:10:45 UTC
(In reply to comment #9)
> I'm still seeing Egypt hangs...and I don't have any idea why.
Hello, I have found when I set i915.semaphores=1, this game will not hangs
Comment 11 Gordon Jin 2011-12-19 23:01:26 UTC
fixed in 3.2-rc6, with gpu semaphores enabled by default on IVB.
Comment 12 Florian Mickler 2012-01-12 14:42:27 UTC
A patch referencing this bug report has been merged in Linux v3.2-rc6:

commit f45b55575cedb7efa782e43f1ea74338456d0381
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Fri Dec 9 17:16:37 2011 -0800

    drm/i915: enable semaphores on per-device defaults
Comment 13 tskowal 2012-01-16 06:42:52 UTC
GLBenchmark Egypt still hangs but less frequently on Linux v3.2.0 kernel. Reproduction rate can be greatly increased with additional patches that enable PPGTT.

System Environment:
Libdrm: 2.4.30+git20120110.66518ab5-0ubuntu0sarvatt~natty (xedgers)
Mesa: 8.0.0~git20120110.5a7c3433-0ubuntu0sarvatt~oneiric~natty (xedgers)
video-intel:   2:2.17.0+git20120113.94217a4d-0ubuntu0sarvatt~oneiric~natty (xedgers)
kernel: 3.2.0
Comment 14 Eugeni Dodonov 2012-01-23 07:34:33 UTC
I observed that the hangs are much more often if vsync is disabled (e.g., export vblank_mode=0 prior to running egypt benchmark).
Comment 15 Shuang He 2012-01-28 23:59:25 UTC
I have tried again with 'vblank_mode=0' on both mobile and desktop version of IVB.
Run around 20 times, I could see a machine hang on both versions.
The desktop version of IVB I used is the one Gordon mentioned as ivb4
Comment 16 Florian Mickler 2012-02-27 14:29:22 UTC
A patch referencing this bug report has been merged in Linux v3.3-rc5:

commit d71de14ddf423ccc9a2e3f7e37553c99ead20d7c
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Wed Feb 8 12:53:52 2012 -0800

    drm/i915: gen7: Disable the RHWO optimization as it can cause GPU hangs.
Comment 17 Florian Mickler 2012-02-27 14:31:36 UTC
A patch referencing this bug report has been merged in Linux v3.3-rc5:

commit eae66b50c760233fad526edf4a0d327be17a055d
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Wed Feb 8 12:53:49 2012 -0800

    drm/i915: gen7: implement rczunit workaround
Comment 18 Florian Mickler 2012-02-27 14:32:50 UTC
A patch referencing this bug report has been merged in Linux v3.3-rc5:

commit db099c8f963fe656108e0a068274c5580a17f69b
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Wed Feb 8 12:53:51 2012 -0800

    drm/i915: gen7: work around a system hang on IVB
Comment 19 Florian Mickler 2012-02-27 14:34:50 UTC
A patch referencing this bug report has been merged in Linux v3.3-rc5:

commit e4e0c058a19c41150d12ad2d3023b3cf09c5de67
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Wed Feb 8 12:53:50 2012 -0800

    drm/i915: gen7: Implement an L3 caching workaround.
Comment 20 Kenneth Graunke 2012-03-02 15:20:31 UTC
Should be fixed with those kernel patches.
Comment 21 libo 2012-03-30 19:22:37 UTC
I have verified it and issue has been fixed.
commit eae66b50c760233fad526edf4a0d327be17a055d
Comment 22 Florian Mickler 2012-04-05 06:52:45 UTC
A patch referencing this bug report has been merged in Linux v3.4-rc1:

commit e21af88d39796c907c38648c824be3d646ffbe35
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Feb 9 20:53:27 2012 +0100

    drm/i915: enable ppgtt